@echo off
if %2==ZIP goto ZIP
if %2==ARJ goto ARJ
goto end

:ZIP
pkunzip %1 -T >FILEVIEW.%4
if ErrorLevel=0 goto END
REM FILE CONTAINS ERRORS!
Move %1 %3 >NUL
goto end

:ARJ
arj T %1 >FILEVIEW.%4
if ErrorLevel=0 goto END
REM FILE CONTAINS ERRORS!
Move %1 %3 >NUL
goto end

:END
